package intrinsic.flash.events;

public class HTTPStatusEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public int status;
	public String responseURL;
	public intrinsic.Array responseHeaders;

	/** Variables */

	/** Constants */
	public static final String HTTP_RESPONSE_STATUS = "http_response_status";
	public static final String HTTP_STATUS = "http_status";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public HTTPStatusEvent() {
}

public HTTPStatusEvent(String arg0) {
}

public HTTPStatusEvent(String arg0, boolean arg1) {
}

public HTTPStatusEvent(String arg0, boolean arg1, boolean arg2) {
}

public HTTPStatusEvent(String arg0, boolean arg1, boolean arg2, int arg3) {
}


/** Static Methods */

/** Methods */
public native Object clone();
public native String toString();

}
